<!DOCTYPE html>
<html>

<head>
	<style>
		.container {
			display: flex;
		}

		.container.space-around {
			justify-content: space-around;
		}

		.button {
			width: 100px;
			height: 100px;
		}

		table {
			border-collapse: collapse;
			border: 1px solid black;
			table-layout: auto;
			width: 100%;
		}
		th,
		td {
			border: 1px solid black;
		}

		MRInfo {
			color: red;
		}

		.footer {
			position: fixed;
			left: 0;
			bottom: 0;
			width: 100%;
			background-color: #292961;
			color: white;
			text-align: center;
			font-family: sans-serif;
			line-height: 1.15;
		}

		a:link {
			color: white;
			background-color: transparent;
			text-decoration: none;
		}

		a:visited {
			color: white;
			background-color: transparent;
			text-decoration: none;
		}

		a:hover {
			color: white;
			background-color: transparent;
			text-decoration: underline;
		}

		a:active {
			color: white;
			background-color: transparent;
			text-decoration: underline;
		}
	</style>

	<script>
		function invoke(button) {
			const response_input = document.getElementById('response');
			const url = '/buttons/' + button.id;
			fetch(url)
				.then(response => {
					if (!response.ok) {
						document.getElementById('response').src = null;
						document.getElementById('response').alt = "Not found";
						throw new Error('Network response was not ok');
					}
					for (var pair of response.headers.entries()) {
						console.log(pair[0]+ ': '+ pair[1]);
						if (document.getElementById('hostname')){
							document.getElementById('hostname').innerHTML = response.headers.get("host-name");
						}
					}
					return response.blob();
				})
				.then(myBlob => {
					document.getElementById('response').src = URL.createObjectURL(myBlob);
					document.getElementById('response').alt = button.id;
				})
				.catch(error => {
					console.error('There has been a problem with your fetch operation:', error);
				});
		}
	</script>
	{{if .IsMR}}
	<script defer data-project-id="{{ .ProjectId}}" data-merge-request-id="{{ .MergeRequestId}}"
		data-require-auth='true' data-mr-url="{{ .ServerUrl}}" data-project-path="{{ .ProjectPath}}"
		id="review-app-toolbar-script" src="{{ .ServerUrl}}/assets/webpack/visual_review_toolbar.js">
		</script>
	{{end}}
</head>

<body>
	<div class="container space-around">
		{{range .Buttons}}
		<div><button class="button" id="{{ .}}" onclick="invoke(this)">{{ .}}</button></div>
		{{end}}
	</div>
	<br />
	<div class="container space-around">
		<img id="response" />
	</div>
	<br />

</body>
<div class="footer">
	<footer>
		{{if .ExtendedInfo}}
		<table title="Pipeline Info">
			<tr>
				<th>Hostname</th>
				<th>Project</th>
				<th>Last Commit</th>
				<th>Pipeline</th>
				<th>Environment</th>
				{{if .IsMR}}<th>Merge Request</th>{{end}}

			</tr>
			<tr>
				<td id="hostname">{{ .Hostname}}</td>
				<td><a href="{{ .ProjectUrl}}" target="_blank">{{ .ProjectPath}}</a></td>
				<td><a href="{{ .ProjectUrl}}/commit/{{ .CommitSha}}" target="_blank">{{ .CommitTitle}}</a></td>
				<td><a href="{{ .PipelineUrl}}" target="_blank">{{ .PipelineIid}}</a></td>
				<td>{{ .EnvironmentName}}</td>
				{{if .IsMR}}<td><a href="{{ .ProjectUrl}}/merge_requests/{{ .MergeRequestId}}" target="_blank">{{
						.MergeRequestTitle}}</a></td>{{end}}
			</tr>
		</table>
		<br />
		{{if .IsMR}}
		<div class="MRInfo">
			You are seeing a review app and you can leave feedback for the Merge Request by using the widget on the
			right. Here is the<a href="{{ .MergeRequestProjectUrl}}" target="_blank">{{ .MergeRequestTitle}} MR</a>
			itself.
		</div>
		{{else}}
		You are seeing an application based on the main branch. Please submit an <a
			href="{{ .ProjectUrl}}/issues/new?issuable_template=improvement" target="_blank">issue</a> if you like to
		suggest an improvement.
		{{end}}
		{{end}}
	</footer>
</div>

</html>
